net.sf.cglib.transform

## Class ClassFilterTransformer

- java.lang.Object
- - ClassVisitor
  - - net.sf.cglib.transform.ClassTransformer
    - - net.sf.cglib.transform.AbstractClassTransformer
      - - net.sf.cglib.transform.AbstractClassFilterTransformer
        - - net.sf.cglib.transform.ClassFilterTransformer

-     public class ClassFilterTransformer
      extends AbstractClassFilterTransformer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassFilterTransformer(ClassFilter filter, ClassTransformer pass)`

  - ### Method Summary

    - ### Methods inherited from class net.sf.cglib.transform.AbstractClassFilterTransformer

      `setTarget, visit, visitAnnotation, visitAttribute, visitEnd, visitField, visitInnerClass, visitMethod, visitOuterClass, visitSource`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassFilterTransformer

          public ClassFilterTransformer(ClassFilter filter,
                                ClassTransformer pass)

Copyright (c) 2001 - Apache Software Foundation